-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Mar 11, 2015 at 03:06 AM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `threewaysdb`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblautonumber`
--

CREATE TABLE IF NOT EXISTS `tblautonumber` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `STRT` varchar(30) NOT NULL,
  `END` int(30) NOT NULL,
  `INCREMENT` int(11) NOT NULL,
  `DESCRIPTION` varchar(30) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

--
-- Dumping data for table `tblautonumber`
--

INSERT INTO `tblautonumber` (`ID`, `STRT`, `END`, `INCREMENT`, `DESCRIPTION`) VALUES
(1, '12201', 12, 1, 'Customer'),
(3, '20122', 8, 1, 'Suplier'),
(4, '32302', 41, 1, 'StockIn'),
(5, '49087', 27, 1, 'Stockout'),
(6, '53132', 16, 1, 'StockReturn'),
(7, '62030', 75, 1, 'Items'),
(13, 'P0000', 8, 1, 'Paint'),
(14, 'N0000', 2, 1, 'Nail');

-- --------------------------------------------------------

--
-- Table structure for table `tblitems`
--

CREATE TABLE IF NOT EXISTS `tblitems` (
  `ITEMID` varchar(11) NOT NULL,
  `NAME` varchar(90) NOT NULL,
  `DESCRIPTION` varchar(90) NOT NULL,
  `TYPE` varchar(30) NOT NULL,
  `PRICE` double NOT NULL,
  `QTY` int(11) NOT NULL,
  `UNIT` varchar(30) NOT NULL,
  PRIMARY KEY (`ITEMID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblitems`
--

INSERT INTO `tblitems` (`ITEMID`, `NAME`, `DESCRIPTION`, `TYPE`, `PRICE`, `QTY`, `UNIT`) VALUES
('P00004', 'Boysen', 'Color Red, 700 ml', 'Paint', 500, 39, 'pcs.');

-- --------------------------------------------------------

--
-- Table structure for table `tblperson`
--

CREATE TABLE IF NOT EXISTS `tblperson` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SUPLIERCUSTOMERID` varchar(90) DEFAULT NULL,
  `FIRSTNAME` varchar(90) DEFAULT NULL,
  `LASTNAME` varchar(90) DEFAULT NULL,
  `ADDRESS` varchar(90) DEFAULT NULL,
  `TELEPHONE` varchar(30) DEFAULT NULL,
  `MOBILE` varchar(30) DEFAULT NULL,
  `TYPE` varchar(90) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `CUSID` (`SUPLIERCUSTOMERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `tblperson`
--

INSERT INTO `tblperson` (`ID`, `SUPLIERCUSTOMERID`, `FIRSTNAME`, `LASTNAME`, `ADDRESS`, `TELEPHONE`, `MOBILE`, `TYPE`) VALUES
(3, '122018', 'James', 'Yap', 'Dancalan Ilog', '999-999-999', '095686586554', 'Customer'),
(4, '201224', 'jano', 'p', 'asadasdsadsadsaasdasdsaaasd', '23213', '232323', 'SUPLIER'),
(5, '1220111', 'Janry', 'Tan', 'Kabankalan city', '09356853264', '09356853264', 'Customer');

-- --------------------------------------------------------

--
-- Table structure for table `tblsettings`
--

CREATE TABLE IF NOT EXISTS `tblsettings` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCRIPTION` text NOT NULL,
  `PARA` text NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `tblsettings`
--

INSERT INTO `tblsettings` (`ID`, `DESCRIPTION`, `PARA`) VALUES
(1, 'Paint', 'Category'),
(2, 'pcs.', 'Unit'),
(3, 'Nail', 'Category');

-- --------------------------------------------------------

--
-- Table structure for table `tblstock_in_out`
--

CREATE TABLE IF NOT EXISTS `tblstock_in_out` (
  `STOCKOUTID` int(11) NOT NULL AUTO_INCREMENT,
  `TRANSACTIONNUMBER` varchar(30) NOT NULL,
  `ITEMID` varchar(30) NOT NULL,
  `TRANSACTIONDATE` date NOT NULL,
  `QTY` int(11) NOT NULL,
  `TOTALPRICE` double NOT NULL,
  `SUPLIERCUSTOMERID` varchar(30) NOT NULL,
  `REMARKS` varchar(30) NOT NULL,
  PRIMARY KEY (`STOCKOUTID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `tblstock_in_out`
--

INSERT INTO `tblstock_in_out` (`STOCKOUTID`, `TRANSACTIONNUMBER`, `ITEMID`, `TRANSACTIONDATE`, `QTY`, `TOTALPRICE`, `SUPLIERCUSTOMERID`, `REMARKS`) VALUES
(1, '3230235', 'P00003', '2015-02-24', 10, 500, '0000000', 'StockIn'),
(2, '3230236', 'N00001', '2015-02-24', 30, 1, '0000000', 'StockIn'),
(3, '3230237', 'P00004', '2015-02-24', 10, 500, '0000000', 'StockIn'),
(4, '3230238', 'P00005', '2015-02-24', 10, 500, '0000000', 'StockIn'),
(5, '3230239', 'P00004', '2015-02-24', 10, 500, '0000000', 'StockIn'),
(6, '3230240', 'P00004', '2015-02-24', 20, 500, '0000000', 'StockIn'),
(7, '4908726', 'P00004', '2015-02-24', 1, 1000, '122018', 'StockOut');

-- --------------------------------------------------------

--
-- Table structure for table `tblstock_return`
--

CREATE TABLE IF NOT EXISTS `tblstock_return` (
  `STOCKRETURNID` int(11) NOT NULL AUTO_INCREMENT,
  `STOCKRETURNNUMBER` varchar(30) NOT NULL,
  `ITEMID` int(11) NOT NULL,
  `RETURNDATE` date NOT NULL,
  `QTY` int(11) NOT NULL,
  `TOTALPRICE` double NOT NULL,
  `OWNER_CUS_ID` int(11) NOT NULL,
  PRIMARY KEY (`STOCKRETURNID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `tblstock_return`
--

INSERT INTO `tblstock_return` (`STOCKRETURNID`, `STOCKRETURNNUMBER`, `ITEMID`, `RETURNDATE`, `QTY`, `TOTALPRICE`, `OWNER_CUS_ID`) VALUES
(1, '5313214', 0, '2015-02-24', 1, 500, 122018),
(2, '5313215', 0, '2015-02-25', 1, 500, 122018);

-- --------------------------------------------------------

--
-- Table structure for table `tblsuplier`
--

CREATE TABLE IF NOT EXISTS `tblsuplier` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SUPLIERID` varchar(90) DEFAULT NULL,
  `FIRSTNAME` varchar(90) DEFAULT NULL,
  `LASTNAME` varchar(90) DEFAULT NULL,
  `ADDRESS` varchar(90) DEFAULT NULL,
  `TELEPHONE` varchar(30) DEFAULT NULL,
  `MOBILE` varchar(30) DEFAULT NULL,
  `TYPE` varchar(90) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `SUPID` (`SUPLIERID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `tblsuplier`
--

INSERT INTO `tblsuplier` (`ID`, `SUPLIERID`, `FIRSTNAME`, `LASTNAME`, `ADDRESS`, `TELEPHONE`, `MOBILE`, `TYPE`) VALUES
(5, '20201223', 'Janry', 'Tano', 'Kab. city', '44-55-5555', '09496585632', 'SUPLIER');

-- --------------------------------------------------------

--
-- Table structure for table `tbltransaction`
--

CREATE TABLE IF NOT EXISTS `tbltransaction` (
  `STOCKINID` int(11) NOT NULL AUTO_INCREMENT,
  `TRANSACTIONNUMBER` varchar(30) DEFAULT NULL,
  `TRANSACTIONDATE` date NOT NULL,
  `TYPE` varchar(30) NOT NULL,
  `SUPLIERCUSTOMERID` varchar(30) NOT NULL,
  PRIMARY KEY (`STOCKINID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `tbltransaction`
--

INSERT INTO `tbltransaction` (`STOCKINID`, `TRANSACTIONNUMBER`, `TRANSACTIONDATE`, `TYPE`, `SUPLIERCUSTOMERID`) VALUES
(1, '3230235', '2015-02-24', 'StockIn', '0000000'),
(2, '3230236', '2015-02-24', 'StockIn', '0000000'),
(3, '3230237', '2015-02-24', 'StockIn', '0000000'),
(4, '3230238', '2015-02-24', 'StockIn', '0000000'),
(5, '3230239', '2015-02-24', 'StockIn', '0000000'),
(6, '3230240', '2015-02-24', 'StockIn', '0000000'),
(7, '4908726', '2015-02-24', 'StockOut', '122018'),
(8, '4908726', '2015-02-24', 'Returned', '122018'),
(9, '4908726', '2015-02-25', 'Returned', '122018');

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(90) DEFAULT NULL,
  `user_name` varchar(90) DEFAULT NULL,
  `pass` varchar(90) DEFAULT NULL,
  `type` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=531326 ;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`user_id`, `name`, `user_name`, `pass`, `type`) VALUES
(1, 'Valerie Apostol', 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da997', 'Administrator'),
(531325, 'Maria Reffie Deritsoa', 'staff', '6ccb4b7c39a6e77f76ecfa935a855c6c46ad5611', 'Staff');
